<?xml version="1.0"?>
<cfsSimulation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns="http://www.cfs++.org/simulation">
    <fileFormats>
        
        <input>
            <hdf5
                fileName="convert_mesh.cfs"/>
        </input>
        <output>
            <hdf5 id="hdf5"/>
        </output>
        <materialData file="mat.xml" format="xml"/>
    </fileFormats>
    
    <domain geometryType="3d">
        <regionList>
            <region name="Zylinder" material="air"/>  <!--Name Regios
-->
            <region name="Innenwuerfel" material="air"/>
 
        </regionList>
        
        <surfRegionList>
            <surfRegion name="Volumenkoerper1.if_Deckflaeche_aussen"/>
            <surfRegion name="Volumenkoerper1.if_Deckflaeche_innen"/>
            <surfRegion name="Volumenkoerper1.if_Grundflaeche_aussen"/>
            <surfRegion name="Volumenkoerper1.if_Grundflaeche_innen"/>
            <surfRegion name="Volumenkoerper1.if_Mantel_Innen"/>
            <surfRegion name="Volumenkoerper1.if_Mantel_aussen"/>
        </surfRegionList>
        
        <ncInterfaceList>
            <ncInterface name="NC1"
                masterSide="Volumenkoerper1.if_Deckflaeche_aussen" slaveSide="Volumenkoerper1.if_Deckflaeche_innen">
 <rotation rpm="10" movingSide="slave" coordSysId="rotating"/>
            </ncInterface>
            <ncInterface name="NC2"      masterSide="Volumenkoerper1.if_Grundflaeche_aussen"                slaveSide="Volumenkoerper1.if_Grundflaeche_innen">
 <rotation rpm="10" movingSide="slave" coordSysId="rotating"/>
            </ncInterface>
            <ncInterface name="NC3"                masterSide="Volumenkoerper1.if_Mantel_Innen"                slaveSide="Volumenkoerper1.if_Mantel_aussen">
 <rotation rpm="10" movingSide="master" coordSysId="rotating"/>
            </ncInterface>
        </ncInterfaceList>
        
        <nodeList>
            <nodes name="mic1"> <!-- Define -->
                <coord x="0.15" y="0.15" z="0"/>
            </nodes>
            <nodes name="mic2">
                <coord x="0" y="0" z="0.15"/>
            </nodes>
            <nodes name="nodal_source">
                <coord x="0" y="0" z="0"/>
            </nodes>
        </nodeList>
        
        <coordSysList>
            <cylindric id="rotating">
                <origin x="0" y="0" z="0"/>
                <zAxis  x="0.0" y="0.0" z="1.0"/>
                <rAxis  x="1.0" y="0.0" z="0.0"/>
            </cylindric>
        </coordSysList>
        
    </domain>
    
    <sequenceStep>
        <analysis>
            <transient>
                <numSteps>10</numSteps>
                <deltaT>0.001</deltaT>
            </transient>
        </analysis>
        
        <pdeList>
            <acoustic formulation="acouPressure" timeStepAlpha="-0.3">
                
                <regionList>
                    <region name="Zylinder"/>
                    <region name="Innenwuerfel"/>
                <!--    <region name="Aussenwuerfel" dampingId="mPML"/> -->
                </regionList>
                
                <ncInterfaceList>
 <ncInterface name="NC1" formulation="Nitsche" nitscheFactor="40"/>
 <ncInterface name="NC2" formulation="Nitsche" nitscheFactor="40"/>
 <ncInterface name="NC3" formulation="Nitsche" nitscheFactor="40"/>
                </ncInterfaceList>
                
                <dampingList>
                    <pml id="mPML">
                        <type>inverseDist</type>
                        <dampFactor>1.0</dampFactor>
                    </pml>
                </dampingList>
                
                <bcsAndLoads>
                    <rhsValues name="nodal_source"
                        value="sin(2*pi*t*100)"></rhsValues>
                    <!--                    <rhsValues name="nodal_source"
value="sinBurst(4400,5,2,2,t)"></rhsValues>-->
                </bcsAndLoads>
                
                <storeResults>
                    <nodeResult type="acouPressure">
                        <allRegions outputIds="hdf5"/>
                    </nodeResult>
                </storeResults>
                
            </acoustic>
        </pdeList>
        
        
        <linearSystems>
            <system>
                <solverList>
                    <pardiso></pardiso>
                </solverList>
            </system>

        </linearSystems>
    </sequenceStep>
</cfsSimulation>
